#! /bin/bash
clear
#<-Dieses Kommentarzeichen in der übernächsten Zeile entfernen und Pfad anpassen, 
  #wenn der adb Ordner nicht in der Pfad Variabel steht!
#alias adb='/Pfad/zur/android-sdk-linux/platform-tools/adb'
echo Root-Log Defy+ > root.log
adb kill-server >> root.log
clear
echo "***************************************************************************"
echo "*                                                                         *"
echo "*                           Defy+ Easy Root script v1                     *"
echo "*                           erstellt von Defy@1.1.Ghz                     *"
echo "*                           für Linux portiert von Jon911                 *"
echo "*                  basierend auf "DROID 3 Easy Root script v7"            *"
echo "*                                                                         *"
echo "***************************************************************************"
echo "*"
echo "* Stelle bitte sicher, dass folgende Schritte bereits durchgefuehrt worden sind:"
echo "*"
echo "*       (a) ----------- (entfällt unter Linux)"
echo "*       (b) USB-Debugging aktivieren (unter Einstellungen -> Anwendungen"
echo "*           -> Entwicklung)"
echo "*       (c) Defy+ am PC anschliessen und als USB-Verbindung 'Nur Laden' bzw. 'Keine' "
echo "*           auswaehlen"
echo "*"
echo "*"
echo "* Bitte beachte: Dein Defy+ wird waehrend des gesamten Vorgangs 3 mal "
echo "* neustarten!"
echo "* Im Laufe des Vorgangs wird eine root.log Datei angelegt, die eventuell hilft, "
echo "* Probleme beim Rooten aufzudecken. Kann einfach gelöscht werden!"
echo "*"
echo " Beliebige Taste druecken, sobald das Defy+ angeschlossen ist!"
echo "*"
read -sn1
adb wait-for-device >> root.log
echo "* Starte Vorgang 1 von 3"
adb kill-server >> root.log
adb shell rm /data/local/12m.bak >> root.log
adb shell mv /data/local/12m /data/local/12m.bak >> root.log
adb shell ln -s /data /data/local/12m
adb reboot

echo "*"
echo "* 1. Neustart des Defy+ - bitte warten!"

adb kill-server >> root.log
adb wait-for-device >> root.log
adb wait-for-device >> root.log
echo "*"
echo "* Starte Vorgang 2 von 3"
adb shell rm /data/local/12m
adb shell mv /data/local/12m.bak /data/local/12m
adb shell rm /data/local.prop.bak >> root.log
adb shell mv /data/local.prop /data/local.prop.bak
adb shell 'echo "ro.sys.atvc_allow_netmon_usb=0" > /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_netmon_ih=0" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_res_core=0" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_res_panic=0" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_all_adb=1" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_all_core=0" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_efem=0" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_bp_log=0" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_ap_mot_log=0" >> /data/local.prop'
adb shell 'echo "ro.sys.atvc_allow_gki_log=0" >> /data/local.prop'
adb reboot

echo "*"
echo "* 2. Neustart des Defy+ - bitte warten!"

adb kill-server >> root.log
adb wait-for-device >> root.log
adb wait-for-device >> root.log
echo "*"
echo "* Starte Vorgang 3 von 3"

adb remount
adb push busybox /system/xbin/busybox
adb push su /system/xbin/su
adb push Superuser.apk /system/app/Superuser.apk
adb shell chmod 4755 /system/xbin/su
adb shell chmod 755 /system/xbin/busybox
adb shell chown system.system /data
adb reboot

echo "*"
echo "* 3. und letzter Neustart des Defy+"
echo "* Ich (Defy@1.1Ghz) wuensche dir viel Spass mit deinem"
echo "* gerootetem Defy+ - vielleicht klickst du ja auf den"
echo "* Danke-Button im android-hilfe.de-Forum"
echo "*"
echo "* Geht mir nich anders ;-) (Jon911)"
echo "******************************************************************************"
adb kill-server >> root.log
